#if !defined(AFX_SLIDER1_H__F9CCF3A1_D8BE_11D3_9C79_005004186C6A__INCLUDED_)
#define AFX_SLIDER1_H__F9CCF3A1_D8BE_11D3_9C79_005004186C6A__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// Slider1.h : header file
//
#include "SliderChild.h"
//#include "TasksChild.h"

/////////////////////////////////////////////////////////////////////////////
// CSlider window

class CSlider : public CWnd
{
	DECLARE_DYNCREATE(CSlider);

// Construction
public:
	CSlider();

// Attributes
public:

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CSlider)
	//}}AFX_VIRTUAL

// Implementation
public:
	void Move(int nXPos, int nYPos);
	void Execute(int nBtnNbr);
	void Execute(CString cBtnDesc);
	void ShowMenu();
	void HideMenu();
	BOOL IsExpanded();
	void BoxIt(HWND hwndBox);
	void ResetPanel();
	BOOL CreateSlider(int nSliderNbr, HWND hParent);
	virtual ~CSlider();
	CString m_cDescription;

	BOOL m_bTopMost;

	// Generated message map functions
protected:

	BOOL LoadSettings(int nSliderNbr);
	void DrawMouseOver(CDC* pDC);
	void DrawPressed(CDC* pDC);
	CBitmap m_NormalBitmap;
	CBitmap	m_MouseOverBitmap;
	CBitmap m_PressedBitmap;

	CString m_NormalBitmapPath;
	CString m_MouseOverBitmapPath;
	CString m_PressedBitmapPath;
	CString	m_MouseOverSound;
	CString	m_PressSound;

	BOOL m_bChildIsExpanded;
	BOOL m_bMouseTracker;
	BOOL m_bToolTip;
	BOOL m_bTasks;
	BOOL m_bDrawMouseOver;

	CSliderChild	m_Child;

	CPoint	m_PtPosition;

	COXToolTipCtrl	m_ToolTip;

	HRGN	m_hRgn;

	//{{AFX_MSG(CSlider)
	
	afx_msg void OnPaint();
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnLButtonUp(UINT nFlags, CPoint point);
	afx_msg void OnMouseMove(UINT nFlags, CPoint point);
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg BOOL OnSetCursor(CWnd* pWnd, UINT nHitTest, UINT message);
	afx_msg void OnLButtonDblClk(UINT nFlags, CPoint point);
	afx_msg void OnSetFocus(CWnd* pOldWnd);
	//}}AFX_MSG
	afx_msg LRESULT OnChildContracted(WPARAM wParam, LPARAM lParam);
	afx_msg LRESULT OnRunBang(WPARAM wParam, LPARAM lParam);

	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SLIDER1_H__F9CCF3A1_D8BE_11D3_9C79_005004186C6A__INCLUDED_)
