#pragma once


BOOL GetLinkIcon( const CString & strLinkName, CString & strPath, int& nIconIndex );
BOOL GetLinkPath( const CString & strLinkName, CString & strPath );
BOOL GetLinkDisplay( const CString & strLinkName, CString & strText );
BOOL LoadBitmap(CBitmap& pBitmap, CString cBitmapFile);

void DrawSemiTransparentBitmap(CDC *pDstDC, int x, int y, int nWidth, int nHeight, CDC* pSrcDC, int xSrc, int ySrc, COLORREF clrFade);
//void TransparentBlt( HDC dc, int nXDest, int nYDest, int nWidth, int nHeight, HDC tempDC, int nXSrc, int nYSrc, COLORREF colorTransparent );
void ErrorLog(CString cErrorText);

//HRGN BitmapToRegion (HBITMAP hBmp, COLORREF cTransparentColor, COLORREF cTolerance);

int  GetProfileIntValue(int nSliderNbr, CString cSetting, int nDefault = 0);
int  GetNumberOfLinkFilesInDirectory(CString cPath);
int  GetLinkFilesInDirectory(CString cPath, CStringArray& strArray, CString cExclusionString = "");

CString GetProfileStringValue(int nSliderNbr, CString cSetting, CString cDefault = "");

void SortStringArray (CStringArray& ar, BOOL bDescending, BOOL bCase = FALSE);
int CompareDescending(const void *a, const void *b);
int CompareAscending(const void *a, const void *b);
int CompareDescendingNoCase(const void *a, const void *b);
int CompareAscendingNoCase(const void *a, const void *b);

CPoint ConvertToScreenPosition(int nXPos, int nYPos);

CString GetLSLnkImagePath(int nSliderNbr, const CString& keyName);